import Vue from 'vue'
// 针对el-input的输入限制
// 只能输入正整数
Vue.directive('inputInt', {
    inserted(el) {
        var nodeInput = el.querySelector('input')
        nodeInput.addEventListener('input', () => {
            setTimeout(() => {
                nodeInput.value = nodeInput.value.replace(/[^\d]/g, '')
            })
        })
    }
})
// 输入非负小数
Vue.directive('inputFloat', {
    inserted(el) {
        var nodeInput = el.querySelector('input')
        nodeInput.addEventListener('input', () => {
            setTimeout(() => {
                nodeInput.value = nodeInput.value.replace(/[^\d.]/g, '').replace(/(\d+\.?\d*)\.?\d*/, '$1')
            })
        })
    }
})